## Design Document

A simple get-started [tutorial video](https://www.useloom.com/share/6372bf5d22b8482299f3c788559d4173).

```bash
## Design Document

A simple get-started [tutorial video](https://www.useloom.com/share/6372bf5d22b8482299f3c788559d4173).

Commands:

  au cat COMMIT_ID PATH

    # Display file from a provided commit.

  au checkout COMMIT_ID

    # Check out a commit. Similar behavior with git checkout.

  au clone SOURCE_REPO_PATH (required) TARGET_REPO_PATH (optional, default: current directory)

    # Copy an existing repo from the provided source path.

  au commit [-m MESSAGE]

    # Commit already staged files. Use -m to provide commit message.

  au diff PATH

    # Display diff between the file state from HEAD and from presence.

  au heads

    # Display ids of commits that don't have children.

  au help [COMMAND]

    # Describe available commands or one specific command

  au init

    # Start tracking current directory

  au log

    # Display parent commits. Only true lineage is displayed, meaning that

    # the second parents from merged commits are ignored.

  au merge COMMIT_ID

    # Merge with provided commit to the current commit.

    # Commit will be created automatically unless conflict happens.

    # User is responsible for committing after resovling conflicts.

  au pull REMOTE_PATH

    # Pull changes from remote repo. 

    # Merge will not happen since branching is not supported.

  au push REMOTE_PATH

    # Push changes to remote repo.

    # Merge will not happen since branching is not supported.

  au reset

    # Remove all history from the project.

  au stage PATH

    # Stage one or more files for commit. If a dir path is provided, all files within the

    # dir are staged.

  au status

    # Check current status of repo. Displays staged and unstaged files, as well as

    # current HEAD ID.

  au unstage PATHS

    # Remove one or more files from the staging area.

```
